/**
 * IF_001 部件模型
 *
 * @export
 * @class IF_001Model
 */
export default class IF_001Model {

  /**
  * 获取数据项集合
  *
  * @returns {any[]}
  * @memberof IF_001Model
  */
  public getDataItems(): any[] {
    return [
      {
        name: 'srfwfmemo',
        prop: 'srfwfmemo',
        dataType: 'TEXT',
      },
      // 前端新增修改标识，新增为"0",修改为"1"或未设值
      {
        name: 'srffrontuf',
        prop: 'srffrontuf',
        dataType: 'TEXT',
      },
      {
        name: 'srfupdatedate',
        prop: 'updatedate',
        dataType: 'DATETIME',
      },
      {
        name: 'srforikey',
      },
      {
        name: 'srfkey',
        prop: 'eamapplyid',
        dataType: 'GUID',
      },
      {
        name: 'srfmajortext',
        prop: 'eamapplyname',
        dataType: 'TEXT',
      },
      {
        name: 'srftempmode',
      },
      {
        name: 'srfuf',
      },
      {
        name: 'srfdeid',
      },
      {
        name: 'srfsourcekey',
      },
      {
        name: 'applynumber',
        prop: 'applynumber',
        dataType: 'TEXT',
      },
      {
        name: 'eamapplyname',
        prop: 'eamapplyname',
        dataType: 'TEXT',
      },
      {
        name: 'eamapplytypename',
        prop: 'eamapplytypename',
        dataType: 'PICKUPTEXT',
      },
      {
        name: 'eamservicelevelname',
        prop: 'eamservicelevelname',
        dataType: 'PICKUPTEXT',
      },
      {
        name: 'begintime',
        prop: 'begintime',
        dataType: 'DATETIME',
      },
      {
        name: 'endtime',
        prop: 'endtime',
        dataType: 'DATETIME',
      },
      {
        name: 'description',
        prop: 'description',
        dataType: 'LONGTEXT_1000',
      },
      {
        name: 'assetname',
        prop: 'assetname',
        dataType: 'PICKUPTEXT',
      },
      {
        name: 'eamlocationname',
        prop: 'eamlocationname',
        dataType: 'PICKUPTEXT',
      },
      {
        name: 'eamlocationid',
        prop: 'eamlocationid',
        dataType: 'PICKUP',
      },
      {
        name: 'eamapplyid',
        prop: 'eamapplyid',
        dataType: 'GUID',
      },
      {
        name: 'assetid',
        prop: 'assetid',
        dataType: 'PICKUP',
      },
      {
        name: 'eamapply',
        prop: 'eamapplyid',
        dataType: 'FONTKEY',
      },
    ]
  }

}