/**
 * PART_V_001 部件模型
 *
 * @export
 * @class PART_V_001Model
 */
export default class PART_V_001Model {

  /**
    * 获取数据项集合
    *
    * @returns {any[]}
    * @memberof PART_V_001Model
    */
  public getDataItems(): any[] {
    return [
      {
        name: 'updatedate',
      },
      {
        name: 'eamplanname',
      },
      {
        name: 'createdate',
      },
      {
        name: 'createman',
      },
      {
        name: 'updateman',
      },
      {
        name: 'eamplan',
        prop: 'eamplanid',
      },
      {
        name: 'eamlocationid',
      },
      {
        name: 'assetid',
      },
      {
        name: 'assetname',
      },
      {
        name: 'eamlocationname',
      },
      {
        name: 'plannumber',
      },
      {
        name: 'eammonitorpointid',
      },
      {
        name: 'eammonitorpointname',
      },
      {
        name: 'description',
      },
      {
        name: 'mdate',
      },
      {
        name: 'content',
      },
    ]
  }


}
